Subject: Re: [netmod] [core] 🔔 WG Last Call of CORECONF drafts: draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01 / -sid-11 review

From: Alexander Pelov <[email-masked]>
Date: Wed, 8 Apr 2020 11:02:18 +0200

Dear all,

I have no additions or remarks on the documents. They are and in my opinion
have been ready for some time - waiting for reviews and input from
other contributors / WGs. Now, I'm even more confident the documents are
ready (once the final remarks are addressed of course).

We've had interop tests several versions ago, and since then I have
followed the development and the diffs of the documents. They are inline
with what we have been discussing and have only improved the technology.

Cheers,
Alexander

On Mon, Mar 30, 2020 at 2:26 PM Laurent Toutain <
[email-masked]> wrote:

> Hi,
>
> I've uses these drafts, mainly -sid, -cbor, -comi, when I was defining the
> SCHC Data Model to study the impact of CORECONF on the serialization.
> For me, it is a mature work describing CORECONF. Documents are clear with
> examples. I looked at the diff for the latest versions and I don't see
> any significant changes, so for me, these documents are ready.
>
> Laurent
>
> On Mon, Mar 30, 2020 at 1:18 PM Esko Dijk <[email-masked]>
> wrote:
>
>> Hello CoRE,
>>
>> I did a quick review of the -sid-11 draft; it looks ready for
>> publication. Some minor issues found :
>>
>> Reference to RFC 7120 early allocation procedure: the allocation policies
>> for the registries are all "Expert review". And the RFC 7120 early
>> allocation procedure is defined, to do early allocations. However RFC 7120
>> mentions that this procedure only applies in case :
>>    (Section 2)
>>    a. The code points must be from a space designated as "RFC
>>        Required", "IETF Review", or "Standards Action".  Additionally,
>>        requests for early assignment of code points from a
>>        "Specification Required" registry are allowed if the
>>        specification will be published as an RFC.
>> So at first sight it looks like the procedure is not applicable, taken
>> strictly. However IANA indicates (
>> https://www.iana.org/help/protocol-registration) that "Expert review" is
>> part of "Specification Required" so it would apply still. But in RFC 8126
>> this is not mentioned in the same manner - so it could confuse some readers
>> about whether it applies or not. Maybe some text could be added to state
>> why RFC 7120 process does apply to the "Expert review" policy, even though
>> "Expert review" is not listed under Section 2 point a. of RFC 7120.  (Note
>> that early allocation by RFC 7120 only applies to "Expert review"
>> allocations for draft documents that aim to become RFC.)
>>
>> Section 6.3.3: table column 1 is very narrow and it breaks the entry
>> point integer number, which is confusing. Why not make this column wider by
>> one character? One of the last 2 columns can be made more narrow if needed.
>>
>> Section 3: "RESCONF" -> RESTCONF
>>
>> Section 3: CoRECONF -> CORECONF
>>
>> Section 3: "For example how this could be achieved, please refer to"
>> -> For examples on how this could be achieved, please refer to
>>
>> Section 3: "For diagram of one"
>> -> For a diagram of one ...
>>
>> Best regards
>>
>> Esko
>>
>> IoTconsultancy.nl  |  Email/Skype: [email-masked]
>>
>>
>>
>> -----Original Message-----
>> From: core <[email-masked]> On Behalf Of Carsten Bormann
>> Sent: Monday, March 9, 2020 14:05
>> To: core <[email-masked]>
>> Cc: [email-masked]
>> Subject: [core] 🔔 WG Last Call of CORECONF drafts:
>> draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01
>>
>> It took us a long time to get the four CORECONF drafts in sync,
>> but now we are ready for WGLC.
>>
>> This starts a working group last call for
>> — draft-ietf-core-yang-cbor-12
>> — draft-ietf-core-sid-11
>> — draft-ietf-core-comi-09
>> — draft-ietf-core-yang-library-01
>>
>> ending on
>>
>>         24:00 UTC on Tuesday, March 31, 2020.
>>
>> (This includes some extra time for the IETF week and for cross-WG
>> coordination.)
>>
>> This WGLC is copied to the netmod WG mailing list; please do have a look
>> at these drafts as they are slated to become a part of the greater
>> YANG/NETCONF/RESTCONF family.  We intend the discussion to be on the
>> CoRE mailing list, but if you find a fundamental issue with YANG or
>> RESTCONF, feel free to discuss that on netmod instead.
>>
>> Please start a new email thread for each major issue that will need
>> discussion and make sure the subject line includes the draft name and
>> some sort of name for the issue.  (Minor issues such as typos can also
>> be sent to the authors.)
>>
>> If you read the draft and think it looks fine, please send a one line
>> email to the list or to the chairs letting us know that so we can get
>> a feel of how broad the review has been.
>>
>> (To reviewers and authors:)  If you are aware of any patent claims that
>> might apply to systems that implement these drafts, please review BCP 78
>> and BCP 79 and make any appropriate IPR declaration before the last-call
>> ends. If you are not sure whether you need to make a declaration or not,
>> please talk to the chairs and we will help.
>>
>> Grüße, Carsten
>>
>> _______________________________________________
>> core mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/core
>> _______________________________________________
>> core mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/core
>>
>
>
> --
> Laurent Toutain
> +--- VoIP (recommended) ---+----------- Télécom Bretagne -----------+
> | Tel: +33 2 22 06 8156    | Tel: + 33 2 99 12 7026                 |
> Visit :
> | Mob: +33 6 800 75 900    |                                        |
> | Fax: +33 2 22 06 8445    | Fax: +33 2 99 12 7030                  |
> http://class.touta.in
> | [email-masked]         | [email-masked]    |
> +--------------------------+----------------------------------------+
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod
>

---

From: Ivaylo Petrov <[email-masked]>
Date: Wed, 15 Apr 2020 15:26:52 +0200

Hello Esko,

Thank you for your review and your comments! They do help us improve this
document. Please find my answers below (prefixed with [IP]). Note that the
diff after handing your comments and those of Juergen Schoenwaelder can be
found at [1].

Best regards,
Ivaylo

[1]:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-core-sid&url2=http://core-wg.github.io/yang-cbor/draft-ietf-core-sid-latest.txt

On Mon, Mar 30, 2020 at 1:17 PM Esko Dijk <[email-masked]>
wrote:

> Hello CoRE,
>
> I did a quick review of the -sid-11 draft; it looks ready for publication.
> Some minor issues found :
>

[IP]: We are in the process of reformulating this.

Section 6.3.3: table column 1 is very narrow and it breaks the entry point
> integer number, which is confusing. Why not make this column wider by one
> character? One of the last 2 columns can be made more narrow if needed.
>

[IP]: Fixed.

[IP]: Fixed.

> Section 3: CoRECONF -> CORECONF

[IP]: Fixed.

> -> For examples on how this could be achieved, please refer to

[IP]: Fixed.

> -> For a diagram of one ...

[IP]: Fixed.

Best regards